{% extends 'base.html' %}

{% block content %}
{% load static %}
<div class="smallpage">
    <h2>Advanced tool guide</h2>
    <p>This page describes the main menu of the advanced version of the climate data demonstrator.</p>

    <dl>
        <dt><i>parameter</i></dt>
        <dd>Chose one parameter to study. See <a href="{% url 'climap:help' %}">their description</a>.</dd>

        <dt><i>models</i></dt>
        <dd>List of models that will be averaged in the calculations. By default, all models are selected. This is also
            where you chose whether to compare scenarii, models, or model groups. In the first case,
            time charts will render the 3 scenarii, each with error bars (i.e. model standard deviation).
            In the second, each model will render
            separately, according to chosen scenario (next panel). The third case is similar, but aggregates similar models
            by average for a clearer view. See also <a
                    href="{% url 'climap:help' %}#models">model
                descriptions</a> and <a
                    href="{% url 'climap:help' %}#groups">model group
                description</a>.
            <table style="border:1px solid black;text-align:center;margin:10px;">
                <tr><td>Scenario display</td><td>Models display</td></tr>
                <tr>
                    <td><img width="100%" src="{% static 'img/g-scenarii.png' %}"></td>
                    <td><img width="100%" src="{% static 'img/g-models.png' %}"></td>
                </tr>
                <tr><td>Group display</td>
                <tr>
                    <td><img width="100%" src="{% static 'img/g-groups.png' %}"></td>
                </tr>
            </table>
        </dd>
        <dt><i>scenario</i></dt>
        <dd>The demonstrator includes three different scenarii describing possible climate futures
            depending
            on how much greenhouse gases are emitted in the years to come.
        </dd>
        <dt><i>zone</i></dt>
        <dd><p>This panel defines the zone of study. Time chart values are calculated by averaging pixels (or 'cells')
            included in the given zone. You may chose another zone of interest :</p>
            <ul>
                <li>clicking on <b>point</b>, then on the map, will limit the zone of study to a single pixel.</li>
                <li>clicking on <b>zone</b> will allow to chose another zone by clicking again on the map. Available zones are
                    countries by default, see "map settings > zones" below for more possibilities (e.g. country regions).
                </li>
                <li>chosing <b>custom zone</b> will allow you to draw a polygon on the map.</li>
            </ul>
        </dd>
        <dt><i>period</i></dt>
        <dd><p>This panel allows you to set time values.</p>
            <ul>
                <li>Chose a specific <b>month</b> or the whole year.</li>
                <li>The <b>year(s)</b> of study may concern on a specific year ("2005") or span a longer period
                    ("2050-2080"). In the latter case, you may chose the method to aggregate data between years.
                    <br>Note that aggregating by "sum" is only relevant for extensive parameters like "total rainfall"
                    or "number of days ..." .
                    Summing temperatures does not make sense.
                    <br>The models have value from 1950 to 2099. Intervals out of these bounds will be clamped or yield
                    no result.
                </li>
            </ul>
            <p>For instance, setting <i>"June 2050-2060, aggregate by max"</i> will return the maximum value of the
                parameter for
                all June months between 2050 and 2060.</p>
            <ul>
                <li>Finally, the <b>data</b> parameter allows to change between displaying values directly ("raw data"), or to
                    compare with a reference period. The latter is 1950-1980 by default and may be changed. Two
                    comparisons are possible :
                    <ul>
                        <li><b>absolute difference</b> is a simple difference, i.e. <i>future-past</i> where
                            <i>future</i> is
                            the studied value and <i>past</i> the reference value ;
                        </li>
                        <li><b>relative difference</b> applies the formula <i>100*(future-past)/past</i>. Note that this
                            metric should only be relevant for precipitation parameters like "total rainfall" and might
                            render
                            strange results when <i>past</i> approaches (or reaches) zero.
                        </li>
                    </ul>
                </li>
            </ul>
            <table style="border:1px solid black;text-align:center;margin:10px;">
                <tr>
                    <td>Raw month-by-month data</td>
                    <td>Month-by-month difference</td>
                </tr>
                <tr>
                    <td><img width="100%" src="{% static 'img/g-models.png' %}"></td>
                    <td><img width="100%" src="{% static 'img/g-diff.png' %}"></td>
                </tr>
            </table>
            <ul>
                <li>In case of comparison, it is possible to ask for a <b>confidence</b> region. This grays out pixels on the
                    map where
                    3/4 of <i>all</i> models (not only those selected) agree on difference sign.</li>
            </ul>
        </dd>
        </dd>
        <dt><i>map settings</i></dt>
        <dd><ul>
            <li>By default pixels are displayed <b>around selected zone</b>. You can chose to display the <b>'exact'
                zone</b>, i.e. exactly pixels that are going to be averaged in calculations,
                or on the contrary <b>as large as available</b>. Obviously, the latter may take more
                time to display.
            </li>
            <table style="border:1px solid black;text-align:center;margin:10px;">
                <tr>
                    <td>'Exact' zone</td>
                    <td>Near zone</td>
                    <td>As large as available</td>
                </tr>
                <tr>
                    <td><img width="100%" src="{% static 'img/area-exact.png' %}"></td>
                    <td><img width="100%" src="{% static 'img/area-near.png' %}"></td>
                    <td><img width="100%" src="{% static 'img/area-all.png' %}"></td>
                </tr>
            </table>
            <li>By default the <b>scale</b>, i.e. min and max bounds, is <b>relative</b> to the zone and time period.
                The next setting allows to extend these bounds to <b>absolute</b> values calculated over all time period and maximum area.
                This may be useful to compare several results, but on the other hand values are less readable.
                This is especially true for pluviometry, where large variations may be observed between African zones.
            <br>Bounds can also be set <b>manually</b>. Out-of-bounds values are not displayed in this case. Be careful to switch back to 'relative'
                when changing parameter or from/to comparisons.</li>
            <table style="border:1px solid black;text-align:center;margin:10px;">
                <tr><td colspan="3">Example : yearly pluviometry in Senegal, using the same values.</td></tr>
                <tr>
                    <td>Relative (auto) scale : 85-1552mm</td>
                    <td>Absolute scale : 0-13612mm</td>
                    <td>Scale manually set to 0-1000mm ; note that out-of-bounds values are discarded.</td>
                </tr>
                <tr>
                    <td><img width="100%" src="{% static 'img/scale-rel.png' %}"></td>
                    <td><img width="100%" src="{% static 'img/scale-all.png' %}"></td>
                    <td><img width="100%" src="{% static 'img/scale-man.png' %}"></td>
                </tr>
            </table>
            <li>The <b>zone</b> setting changes selectable zones, from regions to continent.</li>
            <li>The <b>background</b> map can be removed or set to a variety of map or satellite displays.</li>
            <li>Finally, the <b>opacity</b> cursor sets transparency of the data image. This may be useful especially
            when defining a custom zone with the help of a background.</li>

        </ul></dd>
        <dt><i>update</i></dt>
        <dd>For performance reasons, the map and charts are not updated every time a modification is done. You have
        to manually ask to update the results. Some calculations may take time, so it is possible to select which part
        are to be calculated again.</dd>
        <dt><i>export</i></dt>
        <dd>Finally, you may export the map and charts into several formats. As for update, it is possible to select
        which part is to be exported. Graphics are then calculated again with the matplotlib library and may slightly
        differ from the page visuals.
            <br>Supported formats are png, svg, pdf and eps. Note that eps does not support transparency, so scenario error bars
        will be dropped in this case.
        <br>It is also possible to download the csv files of time charts.</bt></dd>
    </dl>

</div>
{% endblock %}